#include <iostream>

using namespace std;

int main()
{
    int n,l,rez = -1;
    scanf("%d",&n);
    scanf("%d",&l);
    int h[n];
    for(int i=0;i<n;i++){
        scanf("%d",&h[i]);
        if(h[i]<=l){
            rez = i+1;
            break;
        }
    }
    printf("%d",rez);
    return 0;
}